package com.ssj.service.sys.fx.service;

import com.ssj.bean.sys.fx.domain.MerchantArea;
import com.ssj.framework.core.common.service.BaseService;
import com.ssj.service.conch.parents.v1.dto.PositionSchoolV1Dto;

import java.util.List;

public interface MerchantAreaService extends BaseService<MerchantArea, String> {


    List<PositionSchoolV1Dto> findSchoolList(String libId);
    
    List<MerchantArea> findSchoolByMerchantList(String merchantId);

    MerchantArea findBySchoolIdAndMerchant(String areaId,String merchantId);

    int findLibCountBySchoolName(String schoolName);
}
